'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var env = process.env.NODE_ENV;

var plugins = [require.resolve('babel-plugin-add-module-exports'), require.resolve('babel-plugin-react-require'), require.resolve('babel-plugin-syntax-dynamic-import'), require.resolve('babel-plugin-transform-runtime'), [require.resolve('babel-plugin-module-resolver'), {
  alias: {
    'babel-runtime': require.resolve('babel-runtime/package').replace(/[\\/]package\.json$/, '')
  }
}]];

if (env === 'development') {
  plugins.push.apply(plugins, [require.resolve('babel-plugin-transform-react-jsx-source')]);
} else if (env === 'production') {
  plugins.push.apply(plugins, [require.resolve('babel-plugin-transform-react-remove-prop-types')]);
}

var presets = [require.resolve('babel-preset-es2015'), require.resolve('babel-preset-react'), require.resolve('babel-preset-stage-0')];

exports.default = {
  presets: presets,
  plugins: plugins
};
module.exports = exports['default'];